# $Revision: 1.23 $, $Date: 2009/09/24 06:17:42 $
Summary:	X Display Manager Control Protocol library
Summary(pl.UTF-8):	Biblioteka protokołu XDMCP
Name:		xorg-lib-libXdmcp
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.bz2
# Source0-md5:	d60941d471800f41a3f19b24bea855a7
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.1.0
Obsoletes:	libXdmcp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Display Manager Control Protocol library.

%description -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

%package devel
Summary:	Header files for libXdmcp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXdmcp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXdmcp-devel

%description devel
X Display Manager Control Protocol library.

This package contains the header files needed to develop programs that
use libXdmcp.

%description devel -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXdmcp.

%package static
Summary:	Static libXdmcp library
Summary(pl.UTF-8):	Biblioteka statyczna libXdmcp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXdmcp-static

%description static
X Display Manager Control Protocol library.

This package contains the static libXdmcp library.

%description static -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

Pakiet zawiera statyczną bibliotekę libXdmcp.

%prep
%setup -q -n libXdmcp-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXdmcp.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXdmcp.so
%{_libdir}/libXdmcp.la
%{_includedir}/X11/Xdmcp.h
%{_pkgconfigdir}/xdmcp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXdmcp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXdmcp.spec,v $
Revision 1.23  2009/09/24 06:17:42  arekm
- up to 1.0.3

Revision 1.22  2008/07/27 23:04:21  arekm
- release 5

Revision 1.21  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.18  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.17  2006/11/20 09:26:45  pluto
- release 2. (rebuild with P: *.la)

Revision 1.16  2006/08/16 16:52:08  qboosh
- BR: util-macros >= 1.1.0

Revision 1.15  2006/08/13 20:57:35  arekm
- up to 1.0.2

Revision 1.14  2006/04/27 06:51:19  arekm
- up to 1.0.1

Revision 1.13  2006/03/08 22:05:09  qboosh
- release 1

Revision 1.12  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 12:22:14  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 10:58:33  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 14:10:12  qboosh
- more docs

Revision 1.6  2005/10/20 12:53:31  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.16  2005/08/14 23:09:15  arekm
- add source

Revision 1.15  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Wed Aug 10 2005 12:31:14  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- defined %%{_prefix}
- release 0.03

* Wed Aug 10 2005 10:31:49  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: xproto-devel
- added %%doc
- added Wraphelp.c
- release 0.02

* Wed Aug  3 2005 23:32:13  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
